
/**
 * @file comms_sband_wrapper.c
 *
 * @brief #TODO
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

#if 0//def LINUX_TEMP_PORT

#include <stdio.h>
#include "comms_csw.h"
#include "comms_sband_sim.h"
#include "comms_sband_api.h"

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for getting the property configuration values
 */
int sl_prop_remote_get(uint8_t node, uint32_t timeout, uint16_t id, void *value, size_t size)
{
    return 0;
}

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for setting the property configuration values
 */
int sl_prop_remote_set(uint8_t node, uint32_t timeout, uint16_t id, const void *value, size_t size)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 boot library function
 *        used for setting the alternate FW
 */
int sl_srs4_bootloader_set_alternate(uint8_t node, uint32_t timeout, uint8_t boots)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 boot library function
 *        used for flashing the alternate FW
 */
int sl_srs4_bootloader_flash_alternate(uint8_t node, uint32_t timeout, const char *filename, uint32_t *crc)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 boot library function
 *        used for erasing the alternate FW
 */
int sl_srs4_bootloader_erase_alternate(uint8_t node, uint32_t timeout)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 boot library function
 *        used for verify the checksum of the alternate FW
 */
int sl_srs4_bootloader_checksum_alternate(uint8_t node, uint32_t timeout, ptr_typ size, ptr_typ *crc)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 boot library function
 *        used for verifying the alternate FW status
 */
int sl_srs4_bootloader_verify(uint8_t node, uint32_t timeout, uint8_t partition, ptr_typ *size, ptr_typ *checksum)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for resetting the property configuration values
 */
int sl_prop_remote_reset(uint8_t node, uint32_t timeout, uint16_t id)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for saving the property configuration values
 */
int sl_prop_remote_save(uint8_t node, uint32_t timeout, uint16_t group, uint8_t fallback)
{
    return 0;

}

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for loading the property configuration values
 */
int sl_prop_remote_load(uint8_t node, uint32_t timeout, uint16_t group, uint8_t fallback)
{
    return 0;
}

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for earsing the property configuration values
 */
int sl_prop_remote_erase(uint8_t node, uint32_t timeout, uint16_t group, uint8_t fallback)
{
    return 0;
}

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for locking the property configuration values
 */
int sl_prop_remote_lock(uint8_t node, uint32_t timeout, uint16_t group, uint8_t fallback)
{
    return 0;
}

/**
 * @brief This function is used as a wrapper for SRS4 prop client library function
 *        used for unlocking the property configuration values
 */
int sl_prop_remote_unlock(uint8_t node, uint32_t timeout, uint16_t group, uint8_t fallback)
{
    return 0;
}

#endif
